=== debian/watch ===
version=3
http://tasktools.org/projects/vramsteg.html http://taskwarrior.org/download/vramsteg-(.*)\.tar\.gz
