## vramsteg 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set (HAVE_CMAKE true)
 
 project (vramsteg)
-set (PROJECT_VERSION "1.0.1")
+set (PROJECT_VERSION "1.1.0")
 
 SET (VRAMSTEG_MAN1DIR share/man/man1     CACHE STRING "Installation directory for man pages, section 1")
 SET (VRAMSTEG_DOCDIR  share/doc/vramsteg CACHE STRING "Installation directory for doc files")
@@ -12,10 +12,18 @@
   set (LINUX true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   set (DARWIN true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
+  set (KFREEBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   set (FREEBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
+  set (OPENBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
+  set (NETBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
   set (SOLARIS true)
+elseif (${CMAKE_SYSTEM_NAME} STREQUAL "GNU")
+  set (GNUHURD true)
 else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   set (UNKNOWN true)
 endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -64,5 +72,5 @@
                                 "_CPack_Packages" "cmake_install" "install_manifest"
                                 "Makefile$" "test" "demo"
                                 "src/vramsteg$"
-                                "/\\.gitignore" "/\\.git/" "swp$")
+                                "/\\\\.gitignore" "/\\\\.git/" "swp$")
 include (CPack)
