=== debian/changelog ===
vramsteg (1.1.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:27 +0100

vramsteg (1.1.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:55 +0000

vramsteg (1.1.0-1) unstable; urgency=low

  * New upstream release. 
  * Add watch file
  * Update Standards-Version to 3.9.6 
  * Remove vramsteg.doc file: NEWS and README (files referenced) don't
    point out relevant information.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Tue, 17 Nov 2015 16:35:22 +0000
