=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	cp $(CURDIR)/doc/man/vramsteg.1.in debian/vramsteg.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/vramsteg/COPYING \
        $(TMP)/usr/share/doc/vramsteg/INSTALL \
        $(TMP)/usr/share/doc/vramsteg/AUTHORS \
        $(TMP)/usr/share/doc/vramsteg/README \
        $(TMP)/usr/share/doc/vramsteg/NEWS \
        $(TMP)/usr/share/doc/vramsteg/ChangeLog

override_dh_installexamples:
	dh_installexamples
	rm -f $(TMP)/usr/share/doc/vramsteg/examples/CMakeLists.txt
