=== debian/watch ===
version=3
http://tasktools.org http://tasktools.org/download/vramsteg-(.+)\.tar\.gz
