=== debian/changelog ===
vramsteg (1.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. Closes: #1113624.

 -- Santiago Vila <sanvila@debian.org>  Sat, 18 Oct 2025 22:42:00 +0200

vramsteg (1.1.1-1) unstable; urgency=medium

  * Maintain package in Salvage team
    Closes: #1112305
  * Fix Homepage
    Closes: #1099102
  * d/copyright: Mention new source location
  * d/watch:
     - version=4
     - Point to Github
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Use Python3 in tests
  * Fix clean target
    Closes: #1047946
  * Remove /usr/share/doc/clog

 -- Andreas Tille <tille@debian.org>  Thu, 18 Sep 2025 11:05:07 +0200
