=== debian/control ===
Source: vramsteg
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Alejandro Garrido Mota <alejandro@debian.org>,
           Andreas Tille <tille@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               python3 <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/vramsteg
Vcs-Git: https://salsa.debian.org/salvage-team/vramsteg.git
Homepage: https://gothenburgbitfactory.org/vramsteg/

Package: vramsteg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: provide shell scripts with a full-featured progress indicator
 Vramsteg provide progress bar that can display elapsed time, remaining time
 estimate, percentage completed, and labels.  The progress bar can have
 user-specified colors, and be rendered in multiple styles.
