=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,15 @@
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test &&  python3 run_all --verbose
+endif
 
 override_dh_auto_install:
 	cp $(CURDIR)/doc/man/vramsteg.1.in debian/vramsteg.1
@@ -14,6 +21,7 @@
         $(TMP)/usr/share/doc/vramsteg/README \
         $(TMP)/usr/share/doc/vramsteg/NEWS \
         $(TMP)/usr/share/doc/vramsteg/ChangeLog
+	rm -rf $(TMP)/usr/share/doc/clog
 
 override_dh_installexamples:
 	dh_installexamples
